
Infrastructure - Task #3745

Story # 3729 (Closed): Member Nodes should be the authoritative source of System Metadata

Add Replica version attribute

2013-05-07 17:05 - Chris Jones

Status: Rejected Start date: 2013-05-07

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 0%

Category:  Estimated time: 80.00 hours

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version:    

Description

We currently use SystemMetadata.serialVersion to manage versions of system metadata with the list of replicas.  This needs to be

separated out, so the CNs can manage the Replica list independently of the SystemMetadata.  Change the dataoneTypes.xsd

schema to add an optional 'version' attribute to the Replica object.  This will be backwards-compatible with previous system metadata

instances, and will allow us to manage each replica's status individually.

...

/d1:replica

Add API calls for:

CNReplication.setReplicaVersion()

CNReplication.getReplicaVersion()

This change will affect the following components:

d1_schema

d1_common_java

d1_common_python

d1_libclient_java

d1_libclient_python

d1_cn_rest

d1_cn_rest_proxy

Metacat CNodeService

History

#1 - 2014-10-01 16:45 - Robert Waltz

- Target version set to CCI-2.0.0

#2 - 2015-06-12 16:11 - Rob Nahf

- Status changed from New to Rejected

- translation missing: en.field_remaining_hours changed from 80.0 to 0.0

we determined that serial version could still be be used for tracking replica status updates under v2 (the CN is still authoritative on that property)
